## paprefs 1.1

=== meson_options.txt ===
option('lynx', type: 'boolean', value: false, description: 'enable documentation generation (using lynx)')

## paprefs 0.9.8+git20090825-0ubuntu2

=== debian/changelog ===
paprefs (0.9.8+git20090825-0ubuntu2) karmic; urgency=low

  [ Noel J. Bergman ]
  * Remove packagekit-gnome from paprefs depends (LP: 423127)

  [ Luke Yelavich ]
  * debian/patches/0002_disable-module-install-buttons.patch: Hide all install
    buttons by default, regardless of whether the package in question is
    installed. This is a temporary work-around till either packagekit has
    better support for apt, or someone has time to code an apt package
    handling backend to install the needed packages.
  * debian/README.Debian: Explain the above.
  * debian/docs: Add generated documentation.
  * debian/patches/0003_copy-instead-of-symlink.patch: Fix broken README
    symlink.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 09 Sep 2009 10:52:55 +1000

paprefs (0.9.8+git20090825-0ubuntu1) karmic; urgency=low

  * New upstream git snapshot
  * debian/control:
    - Add libdbus-glib-1-dev to build depends
    - Add packagekit-gnome to paprefs depends

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 25 Aug 2009 11:15:18 +1000

paprefs (0.9.8-1) unstable; urgency=low

  * New Upstream Version
    - Includes polish translation (Closes: #487268)
  * debian/control: Update standards version, no further changes
  * debian/control: Set pkg-pulseaudio-devel as Maintainer and CJ and
    myself as Uploaders.
  * debian/control: Updated debian/copyright
  * debian/control: build libpulse-dev build-dep to >= 0.9.15

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 19 Apr 2009 15:26:45 +0100

paprefs (0.9.6-2) unstable; urgency=low

  * debian/control:
    + Add quilt to build-depends.
    + Fix spelling error in description.
  * debian/rule: Add quilt support.
  * debian/patches/0001-Fix-build-error-with-gcc-4.3.patch:
    + Added. Fix build with gcc-4.3 (Closes: #474845)
  * Update Standards-Version to 3.7.3 (no changes required).

 -- CJ van den Berg <cj@vdbonline.com>  Fri, 23 May 2008 20:35:41 +0200

paprefs (0.9.6-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * New Upstream Version
  * debian/control: Add intltool to build-depends

  [ CJ van den Berg ]
  * debian/copyright: Remove LGPL. paprefs is now fully GPL.
  * debian/control:
    + Add Vcs-* fields.
    + Add Homepage field.
  * debian/menu: Change section to Applications/Sound to conform to the new
      menu specification.

 -- CJ van den Berg <cj@vdbonline.com>  Wed, 21 Nov 2007 16:58:32 +0100

paprefs (0.9.5-2) unstable; urgency=low

  * debian/rules: Port to CDBS.
  * debian/patches/01_use_stock_g2.14_icons.dpatch:
    - Removed. Not longer needed as gnome-icon-theme-2.18.0 is in testing.
  * debian/copyright: Update FSF postal address.
  * debian/paprefs.1.txt: Add a man page.

 -- CJ van den Berg <cj@vdbonline.com>  Wed, 30 May 2007 15:51:34 +0200

paprefs (0.9.5-1) unstable; urgency=low

  [ CJ van den Berg ]
  * Initial release

  [ Loic Minier ]
  * Depend on gnome-icon-theme for the icons.
  * Clarify GPL/LGPL files in copyright.

 -- Loic Minier <lool@dooz.org>  Tue, 17 Oct 2006 21:29:35 +0200

=== debian/control ===
Source: paprefs
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders: CJ van den Berg <cj@vdbonline.com>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5), cdbs, autotools-dev,
    libpulse-dev (>= 0.9.15),
    libgtkmm-2.4-dev,
    libglademm-2.4-dev,
    libgconfmm-2.6-dev,
    lynx,
    asciidoc,
    xmlto,
    intltool,
    quilt,
    libdbus-glib-1-dev
Standards-Version: 3.8.1
Vcs-Git: git://git.debian.org/git/pkg-pulseaudio/paprefs.git
Vcs-Browser: http://git.debian.org/?p=pkg-pulseaudio/paprefs.git
Homepage: http://0pointer.de/lennart/projects/paprefs/

Package: paprefs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pulseaudio-module-gconf,
    pulseaudio-module-zeroconf, gnome-icon-theme
Description: PulseAudio Preferences
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 PulseAudio Preferences (paprefs) is a simple GTK+ based configuration dialog
 for the PulseAudio sound server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

common-build-arch:: $(CURDIR)/debian/paprefs.1.txt
	a2x -d manpage -f manpage $(CURDIR)/debian/paprefs.1.txt

clean::
	rm -f $(CURDIR)/debian/paprefs.1.xml
	rm -f $(CURDIR)/debian/paprefs.1

update-patch-series:
	mkdir -p $(CURDIR)/debian/patches
	rm -f $(CURDIR)/debian/patches/*.patch
	git-format-patch -o $(CURDIR)/debian/patches patches ^upstream | \
		xargs -n 1 basename > $(CURDIR)/debian/patches/series
	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
	do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done

## paprefs 0.9.10

=== debian/changelog ===
paprefs (0.9.10-1) unstable; urgency=low

  [ Martin-Éric Racine ]
  * New upstream release:
    - Deleted all previous debian/patches; merged upstream.
  * Added myself to Uploaders.
  * Migrated to source format 3.0 (quilt).
    - control: Build-Depends on dpkg-dev (>= 1.14.17~).
    - control: drop the Build-Depends on quilt.
    - rules: drop the patchsys-quilt.mk CDBS include.
  * control: removed CJ van den Berg from Uploaders (MIA) (Closes: #636426).
  * patches: added two patches from upstream GIT to support multiarch.
    (Closes: #649565, #649593, #652444)
  * watch: updated to point to FreeDesktop.org XZ tarball.

  [ Sjoerd Simons ]
  * Switch to dh 7
  * Switch to standards version 3.9.3
  * Use autoreconf to regenerate the build system

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 18 May 2012 21:01:38 +0200

paprefs (0.9.9-2) unstable; urgency=low

  * debian/rules: Update the update-patch-series rule
  * debian/patches/0002-Dynamically-build-the-paths-to-the-modules.patch
    debian/patches/0003-rerun-bootstrap-for-the-updated-autotools-file.patch:
    + Added. Build the path to the pulseaudio modules dynamically by querying
      the version of the library that is installed instead of hardcoding it at
      build-time (Closes: #531251)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 18 Nov 2009 23:31:35 +0000

paprefs (0.9.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add build-depend on dbus-glib-1-dev

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 25 Oct 2009 16:41:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: paprefs
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
-Uploaders: CJ van den Berg <cj@vdbonline.com>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, autotools-dev,
+Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>,
+  Martin-Éric Racine <martin-eric.racine@iki.fi>
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf,
     libpulse-dev (>= 0.9.15),
     libgtkmm-2.4-dev,
     libglademm-2.4-dev,
@@ -13,12 +13,11 @@
     asciidoc,
     xmlto,
     intltool,
-    quilt,
     libdbus-glib-1-dev
-Standards-Version: 3.8.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-pulseaudio/paprefs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-pulseaudio/paprefs.git
-Homepage: http://0pointer.de/lennart/projects/paprefs/
+Homepage: http://freedesktop.org/software/pulseaudio/paprefs/
 
 Package: paprefs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	a2x -d manpage -f manpage $(CURDIR)/debian/paprefs.1.txt
	dh_auto_build


%:
	dh $@ --with autoreconf,autotools_dev

=== debian/watch ===
# Control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://freedesktop.org/software/pulseaudio/paprefs/paprefs-(.*)\.tar\.xz

## paprefs 1.0

=== debian/changelog ===
paprefs (1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * Drop all patches -- applied upstream
  * Bump Standards-Version
  * Add missing build-depends on meson
    Upstream switched from autoconf to meson

 -- Felipe Sateler <fsateler@debian.org>  Sun, 16 Sep 2018 11:42:23 -0300

paprefs (0.9.10-3) unstable; urgency=medium

  [ Felipe Sateler ]
  * Add revdate to make build reproducible
  * Update Vcs-* to point to salsa
  * Use gbp-pq for managing patches
  * Port to GSettings and GTK-3 from GConf and GTK-2.
    1. Pick upstream patches that accomplish this.
    2. Build-Depend on gtkmm-3
    3. Adjust package dependencies for the new gsettings module
    (Closes: #885038, #885076)
  * Add explicit Build-Depends on libsigc++-2.0-dev.
    It is checked in configure.ac, so lets make the dependency explicit
  * Update debhelper compat level to 11.
    Drop autoreconf and autotools-dev from Build-Depends and dh invocation
    as they are now provided directly by debhelper
  * Bump Standards-Version
  * Enable hardening flags
  * Annotate the possibility to build this package without root

  [ Balint Reczey ]
  * Remove myself from Uploaders
  * Add GPL-2+ paragraph to d/copyright
  * Remove GPL-2+ paragraph from the beginning of the copyright file

 -- Felipe Sateler <fsateler@debian.org>  Tue, 26 Jun 2018 20:24:27 -0400

paprefs (0.9.10-2) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * debian/control: 
    = Updated Vcs-Git and Vcs-Browser.
    + Added Balint Reczey and Felipe Sateler to Uploaders.
    - Removed myself from Uploaders.
  * debian/copyright:
    = Cleaned up our DEP-5 implementation as per Lintian instructions.
  * Merged patch from upstream Git:
    0003-doc-Drop-0pointer.de-references.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 15 May 2015 16:22:41 +0300

## paprefs 1.1

=== debian/changelog ===
paprefs (1.1-2) unstable; urgency=medium

  [ Patrice Duroux ]
  * debian/watch: update and upgrade to version 4

  [ Felipe Sateler ]
  * Drop Build-Depends on libdbus-glib-1-dev
    paprefs migrated to gdbus on version 1.1, so it is no longer necessary.
    Instead, we only need to depend on libglib2.0-dev. (Closes: #955931)
  * Bump debhelper compat level to 12
  * Trim trailing whitespace in d/changelog.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse, Bug-Database,
    Bug-Submit

 -- Felipe Sateler <fsateler@debian.org>  Sun, 05 Apr 2020 11:32:11 -0400

paprefs (1.1-1) unstable; urgency=medium

  * New upstream version 1.1

 -- Felipe Sateler <fsateler@debian.org>  Thu, 25 Jul 2019 21:10:15 -0400

=== debian/control ===
Source: paprefs
Section: sound
Priority: optional
Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: asciidoc,
               debhelper-compat (= 12),
               intltool,
               libglib2.0-dev,
               libgtkmm-3.0-dev,
               libpulse-dev (>= 0.9.15),
               libsigc++-2.0-dev,
               lynx,
               meson,
               xmlto
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/pulseaudio-team/paprefs.git
Vcs-Browser: https://salsa.debian.org/pulseaudio-team/paprefs
Homepage: https://freedesktop.org/software/pulseaudio/paprefs/
Rules-Requires-Root: no

Package: paprefs
Architecture: any
Depends: gnome-icon-theme,
         pulseaudio-module-gsettings,
         pulseaudio-module-zeroconf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: PulseAudio Preferences
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 PulseAudio Preferences (paprefs) is a simple GTK+ based configuration dialog
 for the PulseAudio sound server.

## paprefs 1.2

=== debian/changelog ===
paprefs (1.2-1fakesync1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:52 +1100

paprefs (1.2-1fakesync1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:52 +0000

paprefs (1.2-1fakesync1) kinetic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 May 2022 14:30:42 -0400

paprefs (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * Bump debhelper from old 12 to 13.
  * Bump to standards version 4.6.0, no changes required
  * Patch desktop file per lintian and desktop-file-validate
  * Add self as uploader

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 May 2022 14:14:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: paprefs
 Section: sound
 Priority: optional
-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders: Felipe Sateler <fsateler@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+           Sjoerd Simons <sjoerd@debian.org>,
+	   Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: asciidoc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                intltool,
                libglib2.0-dev,
                libgtkmm-3.0-dev,
@@ -14,7 +16,7 @@
                lynx,
                meson,
                xmlto
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/pulseaudio-team/paprefs.git
 Vcs-Browser: https://salsa.debian.org/pulseaudio-team/paprefs
 Homepage: https://freedesktop.org/software/pulseaudio/paprefs/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	a2x -d manpage -f manpage $(CURDIR)/debian/paprefs.1.txt
	dh_auto_build


%:
	dh $@
